Skip navigation
Currently Being Moderated

OpenLayers Map Portlet

VERSION 8  Click to view document history
Created on: Sep 14, 2009 1:34 PM by geonick - Last Modified:  Nov 9, 2009 11:02 PM by Matt Ray

Submitted by:Nikolai Georgiev


Description:

OpenLayers Map portlet adds a new portlet to Zenoss Dashboard, similar to Google Maps portlet. You must use latitude and longitude in the address fields to get it to map.

 

http://sourceforge.net/projects/olmapportlet/

 


Screenshots:

 

openlayers-screenshot.jpg


REQUIREMENTS:

     Zenoss Version: 2.2 (Does not work reliably in Stack Installed Zenoss)

     ZenPack Dependencies:

     External Dependencies:

     Installation:

 


Source: http://zenpacks.zenoss.org/trac-zenpacks/browser/zenpacks/ZenPacks.Ecocoms.OpenLayersMap

Tagged Releases:

     http://zenpacks.zenoss.org/trac-zenpacks/browser/tags/open-layers-map-1.1

Change History:

 


Trac tickets: http://zenpacks.zenoss.org/trac-zenpacks/report/1

Known issues: broken in 2.4.5+

Manual fix is:

In OpenLayers file OLGeoMap.pt ($ZENHOME/ZenPacks/ZenPacks.Ecocoms.OpenLayersMap-1.1-py2.4.egg/ZenPacks/Ecocoms/OpenLayersMap/skins/OpenLayersMap/OLGeoMap.pt) line 4 there is:

<script src="/zport/dmd/yui/yuiloader/yuiloader-beta-min.js"></script>
But in Zenoss 2.4.5 (I think in other versions too) the js file is yuiloader-min.js (/$ZENHOME/Products/ZenWidgets/skins/zenui/yui/yuiloader/yuiloader-min.js)

So in OLGeoMap.pt I changed the line 4 to:
<script src="/zport/dmd/yui/yuiloader/yuiloader-min.js"></script>

 

After Zenoss restart OpenLayers works. Tested with Firefox, IE8, Chrome.

Attachments:
Note: binary attachments ending in .zip will need to be unzipped before use.
Comments (0)